# Data Matching

Provides functionalities for managing Data Matching Definitions, which are configurations for matching jobs to identify 
duplicates or link records across data sources. These endpoints support creating, reading, updating, and 
deleting these configurations.

 - [POST /datamatchingdefinitions](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions/post.md): Create a new Data Matching Definition with the given configuration. Configuration example: ``` <?xml version="1.0" standalone="no" ?> <duke> <object class="no.priv.garshol.duke.comparators.
 - [GET /datamatchingdefinitions](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions/get.md): Read a page of existing Data Matching Definitions.
 - [GET /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/get.md): Read an existing Data Matching Definition by its ID.
 - [PUT /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/put.md): Update an existing Data Matching Definition with the given configuration.
 - [DELETE /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/delete.md): Delete a Data Matching Definition by its ID.
